Bug 602185 - Fedora 13 minimal installation lacks network configuration
Fedora 13 minimal installation lacks network configuration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 824808 824809
  Show dependency treegraph
 
Reported: 2010-06-09 06:36 EDT by Panos Kavalagios
Modified: 2013-02-13 21:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 824808 824809 (view as bug list)
Environment:
Last Closed: 2013-02-13 21:39:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panos Kavalagios 2010-06-09 06:36:05 EDT
Description of problem: Minimal installation should mean that you install a base system having at least yum and network ready to add your desired packages. However, minimal installation does not include system-config-network and the existing /etc/sysconfig/network-scripts/ifcfg-eth0 have no variables ready for setting your static IP address. Network configuration although it is feasible, it's strongly inconvenient from user's perspective.


Version-Release number of selected component (if applicable): system-config-network any version, Fedora 13 DVD ISO


How reproducible: Install Fedora 13 from a DVD media and select Minimal Installation


Steps to Reproduce:
1. Insert Fedora 13 DVD ISO
2. Boot up to Repositories and Package selection
3. Select Minimal Installation
4. Proceed with the installation
  
Actual results: 188 packages are installed without system-config-network, although firewall configuration and useless iptables have been already installed. What's the use of a firewall, without having your network configured?!?!


Expected results: Either system-config-network or NetworkManager CLI interface should have been installed by default or at least the installer should have asked for network configuration.


Additional info: A workaround for this problem:
a. Copy IP Address, netmask and gateway variables from another Fedora installation into /etc/sysconfig/network-scripts/ifcfg-eth0 and issue "/etc/init.d/network restart"
b. For non-static IP address and if DHCP server is around, just issue "dhclient eth0"
Comment 1 Jiri Popelka 2010-06-09 07:14:32 EDT
I think this is similar problem as in
bug #557112 (network not set up after media install in F-12).
Please read David Cantrell's comment there
https://bugzilla.redhat.com/show_bug.cgi?id=557112#c9

Bug #557112 is now assigned to NetworkManager, so I'm passing this one there too.
Dan, if you consider this one as duplicate, close it so.
Comment 2 Panos Kavalagios 2010-06-09 08:39:02 EDT
According to Mr. David Cantrell's comment, there is a third workaround to set up network during media installation for repositories, so that the network settings will be copied later over the new installation. 

Indeed, that well hidden information could serve as a resolution to the inconvenience reported on the present report. I cannot see it as a duplicate of bug 557112, since that reports problems setting up network, which I didn't face.

To sum up the two new workarounds:

c. On the software set and repositories installer's screen, click on the Fedora 13 repository. A network configuration screen will be popped up. Network configuration set on this screen is migrated to the new installation. After booting the new system, issue "service network start" to access Internet.
d. Wait for Fedora 14 where network configuration details will be given by the users during installation.

I think I'm satisfied with the above workaround and future installer's changes. You may close the ticket with a fixed in F14 resolution.
Comment 3 Dan Williams 2010-06-15 12:22:05 EDT
Ok, I don't think this is actually an NM thing since it deals with network setup in the installer stages, which is where network setup is usually initially configured until the full install, at which point you can use ifcfg files or nm-connection-editor to do the setup.
Comment 4 Panos Kavalagios 2010-06-16 01:50:18 EDT
Well, that's exactly problem. The script nm-connection-editor or the NetworkManager-gnome package is not included in the minimal installation. 

But I agree, the overall inconvenience looks that it can be charged to anaconda or to the software set of the minimal installation. Anaconda future changes will work fine on the network configuration issue anyway.
Comment 5 Panos Kavalagios 2011-11-11 04:16:27 EST
Nothing was done yet. Even though I have set-up my network correctly a minimal system installation of F16 ended up with a system having no properly working network. Only the loopback interface was up and after manually issuing "systemctl start network.service" my ethernet interface was enabled, but unfortunately with no gateway, even though it was correctly set in the ifcfg script.
Comment 6 Panos Kavalagios 2011-11-20 13:24:42 EST
The issue was for static ethernet configuration and the problem was that gateway was declared as GATEWAY0 in the following file:

/etc/sysconfig/network-scripts/ifcfg-p5p1

I have removed the trailing zero and the route information was corrected and defaulted to the declarared gateway.
Comment 7 Fedora End Of Life 2013-01-16 20:09:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 21:39:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.